Cumulus VX and Vagrant-cumulus plugin


Userlevel 5
For those trying to run the CumulusVX demos, if you are running CumulusVX you no longer need to use the vagrant-cumulus plugin.

Specifically in Vagrant 1.9.1 it will create the following error:

CumulusDemo:cldemo-vagrant scotts$ vagrant up leaf01
Vagrant failed to initialize at a very early stage:

The plugins failed to load properly. The error message given is
shown below.

cannot load such file -- bundler

Once the plugin is removed the vagrant up command will succeed as expected.

The requirement for the plugin is if you set the hostname in CumulusVX 2.5.x or if setting auto_config = true(which is the default) in the Vagrant setup.

0 replies

Be the first to reply!

Reply